//+------------------------------------------------------------------+
//|                                                     StudyMQL.mq4 |
//|                                              Copyright 2013, 300 |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright 2013, 300"
#property link      ""
extern int StopLoss=10;
extern int TakeProfit = 10;
extern int Magic=12345;
extern double MaxSpread =4;
extern double Lots=0.10;
extern int Slippage=1;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   if(Digits==5 || Digits==3)
      {
       StopLoss=StopLoss*10;TakeProfit=TakeProfit*10;MaxSpread=MaxSpread*10;Slippage=Slippage*10;
      }
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
  if(iRSI(0,0,14,0,0) > 50 && OrdersTotal() == 0) open(OP_BUY,Lots,Ask,TakeProfit,StopLoss) ;
  if(iRSI(0,0,14,0,0) < 50 && OrdersTotal() == 0) open(OP_SELL,Lots,Bid,TakeProfit,StopLoss) ;
//----
   return(0);
  }
//+------------------------------------------------------------------+

int open(int ty,double lot,double prc,int pof,int sll) 
   {
     double sl=0,tp=0;
     color clr;
     bool modi;
     string T;double pr;
     if(ty==OP_BUY || ty==OP_BUYSTOP || ty==OP_BUYLIMIT)
        {
         if(sll>0){sl=prc-(sll*Point);}else{sl=0;}
         if(pof>0){tp=prc+(pof*Point);}else{tp=0;}
         clr=Green;
         T="Ask ";
         pr=NormalizeDouble(Ask,Digits);
        }
     if(ty==OP_SELL || ty==OP_SELLSTOP || ty==OP_SELLLIMIT)
       { 
         if(sll>0){sl=prc+(sll*Point);}else{sl=0;}
         if(pof>0){tp=prc-(pof*Point);}else{tp=0;}
         clr=Red;
         T="Bid";
         pr=NormalizeDouble(Bid,Digits);
       }     
         int tik=OrderSend(Symbol()
                ,ty
                ,lot
                ,NormalizeDouble(prc,Digits)
                ,Slippage
                ,0
                ,0
                ,""
                ,Magic
                ,0
                ,clr);
          string t;
            if(ty==OP_BUY)t="BUY";if(ty==OP_SELL)t="SELL";if(ty==OP_BUYSTOP)t="BUY STOP";if(ty==OP_SELLSTOP)t="SELL STOP";if(ty==OP_BUYLIMIT)t="BUY LIMIT";if(ty==OP_SELLLIMIT)t="SELL LIMIT";
      if(tik>0)
         {
          if(tp>0 || sl>0)modi=OrderModify(tik,prc,NormalizeDouble(sl,Digits),NormalizeDouble(tp,Digits),0,CLR_NONE);   else modi=true;
          if(!modi){Print("Modify Err#= ",GetLastError(),"   ",Symbol()," ",Period(),"   Open Price= ",DoubleToStr(prc,Digits),"   SL= ",DoubleToStr(sl,Digits),"   Tp= ",DoubleToStr(tp,Digits));} 
           Print("Order Opened successfully   " ,"Type   ",t,"  LotSize   ",lot,"  Price   ",DoubleToStr(prc,Digits),"  TP   ",DoubleToStr(tp,Digits),"  SL   ",DoubleToStr(sl,Digits));
         }
         else
           {
            Print("OrderSend failed with error #",GetLastError(), " Type ",t,"   LotSize= ",lot,"   ",T,"Now= ",DoubleToStr(pr,Digits),"   Price= ",DoubleToStr(prc,Digits),"   TP= ",DoubleToStr(tp,Digits),"   SL= ",DoubleToStr(sl,Digits),"   Spread= ",MarketInfo(Symbol(),MODE_SPREAD));
           }
                //////
         return(tik);
   
}

///////////////////////////

